Name: 		edelib
Version: 	2.0
Release: 	%mkrel 1

Summary:	A stable, small and fast cross-platform GUI ToolKit
Source: 	%{name}-%{version}.tar.xz
URL: 		http://ede.sourceforge.net
License: 	LGPL
Group: 		System/Libraries
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: jam
BuildRequires: gettext
BuildRequires: fltk-devel
BuildRequires: dbus-devel
BuildRequires: doxygen
BuildRequires: libpng-devel
BuildRequires: libjpeg-devel
 

%description
Equinox Desktop Environment Library (edelib)
is a cross-platform C++ GUI toolkit for UNIX®/Linux® (X11),
Microsoft® Windows®, and MacOS® X. edelib provides modern GUI
functionality without the bloat and supports 3D graphics via
OpenGL® and its built-in GLUT emulation. 

%package devel
Summary: Header files and libraries for developing apps which will edelib
Version: 	%{version}
Group: 		Development/C++
Requires: 	%{name} = %{version}-%{release}
Provides:	%{name}-devel

%description devel
The %{name}-devel package contains the header files and libraries needed
to develop programs that use the edelib libraries.

%prep
%setup -q

%build
export LIBS=-lX11
./configure \
--prefix=$RPM_BUILD_ROOT/usr --libdir=$RPM_BUILD_ROOT%{_libdir}
sed -i 's|%{buildroot}||' *.pc edelib/edelib-config.h
jam

%install
rm -rf $RPM_BUILD_ROOT
jam install  

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%{_libdir}/lib*
%{_libdir}/edelib

%files devel
%defattr(-, root, root)
%{_datadir}/doc/edelib-*
%{_libdir}/pkgconfig/edelib*.pc
%{_includedir}/*
%{_bindir}/edelib-*

%changelog
* Tue Dec 25 2012 Ken <lxgator@gmail.com> 2.0-1pclos2013
- inital build

